Update a status list signer
Updates the status of an existing status list signer.
Only available in implementations using unmanaged (external) IACAs.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>statusListSignerId*stringStatus list identifier
uuidapplication/json- body
active?booleanStatus list signer status. Must be set to true for this status list signer to be available for signing status lists.
certificatePem?stringStatus list signer certificate in PEM format. The certificate must be:
- Valid
- Not expired
- Compliant with the details provided in the Certificate Signing Request returned when the status list signer was created
Status list signer updated
application/json- response
id*stringUnique identifier for this status list.
uuidiacaId*stringIdentifies the IACA used to sign this status list signer.
uuidactive*booleanIndicates whether or not this signer can currently be used to sign status lists.
certificatePem*stringStatus list signer certificate in PEM format. This will match the PEM referenced in the status list token.
certificateFingerprint*stringcertificateData*Metadata about the status list signer certificate.
curl -X PUT "https://example.com/v2/credentials/mobile/status-list-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": true, "certificatePem": "string", "certificateFingerprint": "475DA948E4BA44D9B5BC31AB4B8006113FD5F538", "certificateData": { "notBefore": "2019-08-24T14:15:22Z", "notAfter": "2019-08-24T14:15:22Z", "country": "string", "commonName": "string", "stateOrProvinceName": "string", "organisationName": "string" }}How would you rate this page?
Retrieve a status list signer GET
Retrieves an existing status list signer. Status list signer operations are only available in implementations using unmanaged (external) IACAs.
Delete a status list signer DELETE
Deletes an existing status list signer. Only available in implementations using unmanaged (external) IACAs.